Community Forums Today's Posts     Member List     Archive    
Page 1 of 2 12 LastLast
Results 1 to 15 of 17
  1. #1
    Join Date
    Jul 2010
    Location
    Madrid
    Posts
    106

    ToDo List virtualserver_min_client_version for PC/MAC Client and another one to Mobiles APP

    Hi Guys!,

    We got some customers that use APP for iPhone, and we sometimes force to client to update their PC/MAC TS Version to prevent bugs.

    Well, when we set virtualserver_min_client_version for all server, all iphone/android customer cant login because APP client version is out of date.

    Please make a permision like this: virtualserver_min_clientapp_version

    Thanks

  2. #2
    Join Date
    Jun 2008
    Posts
    8,599
    This is an great idea
    So we are able to sort outdated clients and apps
    Last edited by Chris; 28-12-2012 at 08:07.
    ---------------------------------------------------------
    Please don't send me private messages with support questions as long I or someone else from Teamspeak Staff asked for it.
    Seriously > They belong into the forum and maybe other users have these questions/problems too.


    TeamSpeak FAQ || What should i report, when i open a client thread? || Report and upload your Crashdump here
    NPL License (Registration)

  3. #3
    Join Date
    Apr 2007
    Location
    Spain
    Posts
    19
    This is a great and useful security feature in TeamSpeak server.

    But I do not understand is that developers are so complicated with this function. It would be much easier to add options in the window "Manage Virtual Server" where we can select just that minimum client version allowed to connect to server by simply specifying for example "3.X.X" and most importantly, specify minimum versions for different TeamSpeak clients on Windows, Linux, Mac, Android, iOS, API, SDK, etc...

    I hate having to specify the minimal build client on my server to 14859 (latest build version of the Android client) to allow users to connect from Android, and not being able to force Windows users to update very old versions, even BETA .

    Please fix this.

    Thank.

    Sorry and thank for:
    Thread has been moved
    Last edited by Yoshua; 03-05-2012 at 13:20.

  4. #4
    Join Date
    Jun 2008
    Posts
    8,599
    ---------------------------------------------------------
    Please don't send me private messages with support questions as long I or someone else from Teamspeak Staff asked for it.
    Seriously > They belong into the forum and maybe other users have these questions/problems too.


    TeamSpeak FAQ || What should i report, when i open a client thread? || Report and upload your Crashdump here
    NPL License (Registration)

  5. #5
    Join Date
    Jan 2010
    Location
    Germany
    Posts
    2,046
    Just so I understand this correctly: This Suggestion is about doing some String comparisation against the Version String?
    If so what would this accomplish? Seeing that every single version of TeamSpeak on any Device has 3.0.x as the Version String, you wouldn't be able to differentiate between the Android / PC / Mac / Linux / iOS at all.
    It would be even less useless than the build comparison in place now, since with the build you can at least rule out the early beta clients up to the point of the Android release.

  6. #6
    Join Date
    Jun 2008
    Posts
    8,599
    The PC, MAC and linux does always use the same build number and the server knows already what client is connected.
    This is not the problem, but the server does not restrict it to any operation system yet.

    So i suggested, that we split it in mobile and normal client builds. + That we split it in Android and IOS client.
    ---------------------------------------------------------
    Please don't send me private messages with support questions as long I or someone else from Teamspeak Staff asked for it.
    Seriously > They belong into the forum and maybe other users have these questions/problems too.


    TeamSpeak FAQ || What should i report, when i open a client thread? || Report and upload your Crashdump here
    NPL License (Registration)

  7. #7
    Join Date
    Jan 2010
    Location
    Germany
    Posts
    2,046
    So that means that (if your suggestion is taken that is) we would be able to say something along the lines of
    Android Device? Needs at least 14900.
    iOS Device? Needs at least 15001.
    PC / Mac? Needs at least 1334913250.
    which would mean we have 3 Server Properties doing (basicly) the same thing in the future?

    ios + Android Versions are examples, dunno their build numbers right now.

  8. #8
    Join Date
    Jun 2008
    Posts
    8,599
    I guess the mobile build will use the same system as the current client does.
    But i guess they won't use the same date and time as the stable client does.
    ---------------------------------------------------------
    Please don't send me private messages with support questions as long I or someone else from Teamspeak Staff asked for it.
    Seriously > They belong into the forum and maybe other users have these questions/problems too.


    TeamSpeak FAQ || What should i report, when i open a client thread? || Report and upload your Crashdump here
    NPL License (Registration)

  9. #9
    Join Date
    Oct 2003
    Location
    Germany
    Posts
    2,510
    To be honest... I don't really like the idea of separating this setting into two different virtual server properties. Whenever the TeamSpeak 3 protocol gets a major update that will cause old clients to become incompatible to new servers, we'll auto-update the virtualserver_min_client_version property to the recommended value automatically during the initial start of the virtual server. Admins are able to change the value manually if they want to, but we do not recommend it unless the admin knows what he's doing... and that's why this can only be done via ServerQuery.

    The iOS client is updated on a regular basis and uses a (more or less) up-to-date version of our ClientLib. I see that there's a problem with our current outdated Android version, but I don't see a need to se this as an excuse to implement a new vitual server property that will become obsolete as soon as the Android client gets an overhaul... and this will happen... don't doubt it.

  10. #10
    Join Date
    Jul 2010
    Location
    Madrid
    Posts
    106
    Hi Dev's,

    Any news about that? I want to force all clients to update the client to the lastest version without affect Mobile OS clients.

    Ty!

  11. #11
    Join Date
    Jun 2008
    Posts
    8,599
    I guess this feature won't be included when the (new)android version was released and the ios version updated.
    They will use nearly the same release date as your pc client does have.
    ---------------------------------------------------------
    Please don't send me private messages with support questions as long I or someone else from Teamspeak Staff asked for it.
    Seriously > They belong into the forum and maybe other users have these questions/problems too.


    TeamSpeak FAQ || What should i report, when i open a client thread? || Report and upload your Crashdump here
    NPL License (Registration)

  12. #12
    Join Date
    Apr 2011
    Location
    US NY E@$T C0$T
    Posts
    42

    Exclamation Suggestion:minimum Client Mobile Version iOS and Android/host provider anti Mobile?

    ay yo,
    this hav been going ooon for 1 - 2 mouths and it getting more ridiculous!.
    its not that i blame TS3 Company GmB (what ever it is..) But host Provider fault
    i reported a complain to the Host Provider. and noting has been done. s..m..h!
    http://thesoundofrap.webs.com/TS3_Pr...te_Version.png

    Minimum client Verions 3.0.9.2?!?!?!
    thats crazy!
    iOS is only 3.0.5! (im Up 2 date already)
    + Android should be 3.0.0 (<--correct me if im wrong, mods edit for correction,feel free to do so )

    2 or more things...
    what i'm asking is, separate server query CMD Line
    "minimum_Client_version for computer Client AKA "Linux, PC, MAC, and other"
    and split it up to minimum_mobile_client_version

    for instance and example, a "Server Admin Query" set a setting "Minimum_Client_version"= 3.0.9
    and forgot about Mobile TS3 Version not that hi enough, or not even neearly closely up to date TS3 Computer side Version
    me thats kinda self-fish, for "ON THE GO USER when im not home"

    if its possible to separate Between the Query CMD Line
    "minimum_client_computer_version" and
    "minimum_client_mobile_version"

    this is recommended for the Next Version TS3 Server

  13. #13
    Join Date
    Jun 2002
    Location
    KrŘn / Germany
    Posts
    1,964
    we got already an ticket for this issue and we are going to split up the version numbers independently.

  14. #14
    Join Date
    Apr 2011
    Location
    US NY E@$T C0$T
    Posts
    42

    Thumbs up

    aY Thank aloot n good looks 8). i just wanted to point out my prospective on iOS,
    No Hard Feeling TS3 Dev's/Team's. but Reeespect!
    but u know what i mean 8)

  15. #15
    Join Date
    Dec 2012
    Location
    Paris, France
    Posts
    51

    No perm for Android version

    Hi,

    i have a problem with the android version, my virtualserver require 3.0.9 and i cant connect with TS3 for Andro´d :/

    I got always this error
    client version outdated, please update
    Can you add specific perm for Android version or update this client for each new version of PC client?

    Thank you, Toine

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. Replies: 0
    Last Post: 16-07-2011, 19:34
  2. serverquery client muted client[1],client[4],client[5]
    By Master_Jochen in forum Server Support
    Replies: 8
    Last Post: 17-02-2011, 17:34
  3. Replies: 5
    Last Post: 21-08-2010, 14:25
  4. [Solved] Client too old with latest client issue
    By callihn in forum [TeamSpeak 2] Client Support
    Replies: 2
    Last Post: 02-06-2010, 07:39
  5. Adding client accounts / Client groups
    By MindcrimeNL in forum General Questions
    Replies: 6
    Last Post: 06-01-2010, 04:55

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •